<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: request_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structrequest__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">request_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a115e7605574303198faa952ac77d91e0"><td class="memItemLeft" align="right" valign="top"><a id="a115e7605574303198faa952ac77d91e0"></a>
char const  *&#160;</td><td class="memItemRight" valign="bottom"><b>dst_host</b></td></tr>
<tr class="separator:a115e7605574303198faa952ac77d91e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7487f38be2d34a6b7f8fe5268c835b2"><td class="memItemLeft" align="right" valign="top"><a id="ac7487f38be2d34a6b7f8fe5268c835b2"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>dst_port</b></td></tr>
<tr class="separator:ac7487f38be2d34a6b7f8fe5268c835b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a31f76b68d469d3975f4cb9e7045d28"><td class="memItemLeft" align="right" valign="top"><a id="a8a31f76b68d469d3975f4cb9e7045d28"></a>
method_t&#160;</td><td class="memItemRight" valign="bottom"><b>method</b> = GET</td></tr>
<tr class="separator:a8a31f76b68d469d3975f4cb9e7045d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5bdcb4cb35503a343afe66d64ee6214"><td class="memItemLeft" align="right" valign="top"><a id="ae5bdcb4cb35503a343afe66d64ee6214"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>path</b> = nullptr</td></tr>
<tr class="separator:ae5bdcb4cb35503a343afe66d64ee6214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add66172030734310a29dc248427fe0ca"><td class="memItemLeft" align="right" valign="top"><a id="add66172030734310a29dc248427fe0ca"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>query</b> = nullptr</td></tr>
<tr class="separator:add66172030734310a29dc248427fe0ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b0b6dc9d3ef343f8f030b3af1605dec"><td class="memItemLeft" align="right" valign="top"><a id="a5b0b6dc9d3ef343f8f030b3af1605dec"></a>
const uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><b>data</b> = nullptr</td></tr>
<tr class="separator:a5b0b6dc9d3ef343f8f030b3af1605dec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec2ca9bccfb634dbe1be7507a01afb8c"><td class="memItemLeft" align="right" valign="top"><a id="aec2ca9bccfb634dbe1be7507a01afb8c"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>data_length</b> = 0</td></tr>
<tr class="separator:aec2ca9bccfb634dbe1be7507a01afb8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17835321ea7b4210499b87996829927b"><td class="memItemLeft" align="right" valign="top"><a id="a17835321ea7b4210499b87996829927b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>confirmable</b> = true</td></tr>
<tr class="separator:a17835321ea7b4210499b87996829927b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e29ca907d7a7de6ec97b53a1e8fe469"><td class="memItemLeft" align="right" valign="top"><a id="a5e29ca907d7a7de6ec97b53a1e8fe469"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>content_format</b> = 0</td></tr>
<tr class="separator:a5e29ca907d7a7de6ec97b53a1e8fe469"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/builds/eclipse/oniro-core/eddie/common/include/<a class="el" href="eddie_8h_source.html">eddie.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
